## deluge 2.1.1-0~202207101304~ubuntu20.04.1%2B10.0trisquel1

=== debian/changelog ===
deluge (2.1.1-0~202207101304~ubuntu20.04.1+10.0trisquel1) nabia-backports; urgency=medium

  * Imported to Trisquel from oficial PPA

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 10 Jul 2022 18:38:00 +0000

deluge (2.1.1-0~202207101304~ubuntu20.04.1) focal; urgency=low

  * Auto build.

 -- Cas <calumlind@gmail.com>  Sun, 10 Jul 2022 13:04:22 +0000

=== debian/control ===
Source: deluge
Section: net
Priority: optional
Maintainer: Calum Lind <calumlind@gmail.com>
Build-Depends-Indep:
   debhelper (>=9),
   dh-python,
   intltool,
   python3-all,
   python3-setuptools,
   python3-wheel,
   closure-compiler,
   unzip
Standards-Version: 4.0.0
Vcs-Git:  https://git.launchpad.net/~calumlind/+git/lp_deluge_deb
Vcs-Browser: https://code.launchpad.net/~calumlind/+git/lp_deluge_deb
Homepage: https://www.deluge-torrent.org

Package: deluge-common
Architecture: all
Depends:
   ${misc:Depends},
   ${python3:Depends},
   python3-six,
   python3-twisted (>= 11.1),
   python3-openssl,
   python3-pkg-resources,
   python3-chardet,
   python3-xdg,
   python3-rencode
Recommends:
   python3-setproctitle,
   python3-pil,
   python3-geoip,
   geoip-database,
   python3-dbus
Description: Deluge Common Files
 Deluge is a full-featured, multi-platform, multi-interface BitTorrent client
 using libtorrent-rasterbar in it's backend and featuring multiple
 user-interfaces: GTK+, web and console.
 .
 It has been designed using the client-server model with a daemon process that
 handles all the BitTorrent activity. The Deluge daemon is able to run on
 headless machines with the user-interfaces being able to connect remotely
 from any platform.
 .
 This package contains data files common to both the daemon and the
 various user-interfaces.

Package: deluged
Architecture: all
Depends:
   ${misc:Depends},
   ${python3:Depends},
   deluge-common (= ${source:Version}),
   python3-libtorrent (>= 1.2.0)
Description: Deluge Daemon (deluged)
 Deluge is a full-featured, multi-platform, multi-interface BitTorrent client
 using libtorrent-rasterbar in it's backend and featuring multiple
 user-interfaces: GTK+, web and console.
 .
 It has been designed using the client-server model with a daemon process that
 handles all the BitTorrent activity. The Deluge daemon is able to run on
 headless machines with the user-interfaces being able to connect remotely
 from any platform.
 .
 You may want to install this package to run the daemon application on a remote
 server and connect to it from any user-interface.
 See: <URL:http://dev.deluge-torrent.org/wiki/UserGuide/ThinClient>

Package: deluge-console
Architecture: all
Depends:
   ${misc:Depends},
   ${python3:Depends},
   deluge-common (= ${source:Version})
Description: Deluge Console UI
 Deluge is a full-featured, multi-platform, multi-interface BitTorrent client
 using libtorrent-rasterbar in it's backend and featuring multiple
 user-interfaces: GTK+, web and console.
 .
 It has been designed using the client-server model with a daemon process that
 handles all the BitTorrent activity. The Deluge daemon is able to run on
 headless machines with the user-interfaces being able to connect remotely
 from any platform.
 .
 This package contains the console user-interface.

Package: deluge-web
Architecture: all
Depends:
   ${misc:Depends},
   ${python3:Depends},
   deluge-common (= ${source:Version}),
   python3-mako
Breaks: deluge-web (<< 1.3.0)
Replaces: deluge-web (<< 1.3.0)
Description: Deluge Web UI
 Deluge is a full-featured, multi-platform, multi-interface BitTorrent client
 using libtorrent-rasterbar in it's backend and featuring multiple
 user-interfaces: GTK+, web and console.
 .
 It has been designed using the client-server model with a daemon process that
 handles all the BitTorrent activity. The Deluge daemon is able to run on
 headless machines with the user-interfaces being able to connect remotely
 from any platform.
 .
 You may want to install this package on a remote server running the deluge
 daemon (package deluged).
 See: <URL:http://dev.deluge-torrent.org/wiki/UserGuide/ThinClient>

Package: deluge-gtk
Architecture: all
Depends:
   ${misc:Depends},
   ${python3:Depends},
   deluge-common (= ${source:Version}),
   python3-gi,
   python3-gi-cairo,
   gir1.2-gtk-3.0,
   librsvg2-common,
   xdg-utils
Breaks: deluge-gtk (<< 1.3.0)
Replaces: deluge-gtk (<< 1.3.0)
Recommends: gir1.2-appindicator3-0.1, python3-pygame, libnotify4
Description: Deluge GTK UI
 Deluge is a full-featured, multi-platform, multi-interface BitTorrent client
 using libtorrent-rasterbar in it's backend and featuring multiple
 user-interfaces: GTK+, web and console.
 .
 It has been designed using the client-server model with a daemon process that
 handles all the BitTorrent activity. The Deluge daemon is able to run on
 headless machines with the user-interfaces being able to connect remotely
 from any platform.
 .
 You may want to install this package to use the Deluge GTK+ user-interface
 as a thin client and connect to a remote daemon.
 See: <URL:http://dev.deluge-torrent.org/wiki/UserGuide/ThinClient>

Package: deluge
Architecture: all
Depends:
   ${misc:Depends},
   ${python3:Depends},
   python3-libtorrent (>= 1.2.0),
   deluge-gtk (= ${source:Version})
Breaks: deluge-common (<< 1.3.0)
Replaces: deluge-common (<< 1.3.0)
Description: Deluge BitTorrent Client
 Deluge is a full-featured, multi-platform, multi-interface BitTorrent client
 using libtorrent-rasterbar in it's backend and featuring multiple
 user-interfaces: GTK+, web and console.
 .
 It has been designed using the client-server model with a daemon process that
 handles all the BitTorrent activity. The Deluge daemon is able to run on
 headless machines with the user-interfaces being able to connect remotely
 from any platform.
 .
 You may want to install this package to use Deluge in standalone mode,
 which means the daemon and the GTK+ user-interface are linked together.

## deluge 2.1.1-0~202207101304~ubuntu20.04.1+10.0trisquel1

=== requirements.txt ===
libtorrent
twisted[tls]>=17.1
rencode
pyopenssl
pyxdg
pillow
mako
setuptools
chardet==4.0.0
setproctitle
pywin32; sys_platform == 'win32'
certifi; sys_platform == 'win32'
windows-curses; sys_platform == 'win32'
zope.interface>=4.4.2
distro; 'linux' in sys_platform or 'bsd' in sys_platform
pygeoip
ifaddr==0.2.0

## deluge 2.1.2~dev0+20230529

=== docs/requirements.txt ===
sphinx==4.*
myst-parser
sphinx_rtd_theme==1.0.*
sphinxcontrib-spelling==7.3.0
sphinx-autodoc-typehints

=== debian/changelog ===
deluge (2.1.2~dev0+20230529-4) sid; urgency=medium

  * Uploading to sid.
  * Manually removing some files that pybuild doesn't clean up during
    build (Closes: #1044344).
  * Removing generated files to fix FTBFS when build twice in a row
    (Closes: #1044344).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 14 Aug 2023 10:31:23 +0200

deluge (2.1.2~dev0+20230529-3) sid; urgency=medium

  * Uploading to sid.
  * Removing obsolete manual dependency on python3-six, thanks to
    Alexandre Detiste <alexandre.detiste@gmail.com> (Closes: #1040369).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 05 Jul 2023 02:06:18 +0200

deluge (2.1.2~dev0+20230529-2) sid; urgency=medium

  * Uploading to sid.
  * Updating watch file.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 25 Jun 2023 16:26:46 +0200

deluge (2.1.2~dev0+20230529-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 2.1.2~dev0+20230529.
  * Adding build-depends to pybuild-plugin-pyproject for PEP517 support.
  * Updating packaging for new upstream version.
  * Removing unused depends on lsb-base.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 24 Jun 2023 19:40:46 +0200

deluge (2.1.1-5) sid; urgency=medium

  * Uploading to sid.
  * Updating watch file.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 24 Jun 2023 14:38:05 +0200

deluge (2.1.1-4) sid; urgency=medium

  * Uploading to sid.
  * Uploading without changes after bookworm release.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 11 Jun 2023 14:08:24 +0200

=== debian/control ===
Source: deluge
Section: net
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
Build-Depends:
 debhelper-compat (= 13),
Build-Depends-Indep:
 dh-python,
 intltool,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
 python3-wheel,
 unzip,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://deluge-torrent.org
Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/deluge
Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/deluge

Package: deluge
Architecture: all
Depends:
 deluge-gtk (= ${source:Version}),
 python3-libtorrent,
 ${misc:Depends},
 ${python3:Depends},
Description: multi-interface BitTorrent client (metapackage)
 Deluge is a BitTorrent client written in Python. It uses a client-server
 model supporting multiple user-interfaces that can connect to a
 (headless) deluge-daemon running on a server:
 .
   * deluge-gtk: graphical UI using GTK
   * deluge-console: text UI using ncurses
   * deluge-web: web frontend
 .
 This package is a metapackage depending on the graphical UI and the
 daemon for running deluge on a single machine.

Package: deluge-common
Architecture: all
Depends:
 python3-chardet,
 python3-openssl,
 python3-pkg-resources,
 python3-rencode,
 python3-twisted,
 python3-xdg,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 geoip-database,
 python3-dbus,
 python3-geoip,
 python3-pil,
 python3-setproctitle,
Description: multi-interface BitTorrent client (common)
 Deluge is a BitTorrent client written in Python. It uses a client-server
 model supporting multiple user-interfaces that can connect to a
 (headless) deluged running on a server.
 .
 This package contains the shared files between the clients and the server.

Package: deluge-console
Architecture: all
Depends:
 deluge-common (= ${source:Version}),
 python3-libtorrent,
 ${misc:Depends},
 ${python3:Depends},
Description: multi-interface BitTorrent client (text UI)
 Deluge is a BitTorrent client written in Python. It uses a client-server
 model supporting multiple user-interfaces that can connect to a
 (headless) deluged running on a server.
 .
 This package contains the text user-interface (ncurses).

Package: deluge-gtk
Architecture: all
Depends:
 deluge-common (= ${source:Version}),
 gir1.2-gtk-3.0,
 libnotify4,
 librsvg2-common,
 python3-gi,
 python3-gi-cairo,
 xdg-utils,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-pygame,
 ${dist:Recommends},
Description: multi-interface BitTorrent client (graphical UI)
 Deluge is a BitTorrent client written in Python. It uses a client-server
 model supporting multiple user-interfaces that can connect to a
 (headless) deluged running on a server.
 .
 This package contains the graphical user-interface (GTK).

Package: deluge-web
Architecture: all
Depends:
 deluge-common (= ${source:Version}),
 python3-mako,
 ${misc:Depends},
 ${python3:Depends},
Description: multi-interface BitTorrent client (web frontend)
 Deluge is a BitTorrent client written in Python. It uses a client-server
 model supporting multiple user-interfaces that can connect to a
 (headless) deluged running on a server.
 .
 This package contains the web frontend.

Package: deluged
Architecture: all
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 deluge-common (= ${source:Version}),
 python3-libtorrent,
 ${misc:Depends},
 ${python3:Depends},
Description: multi-interface BitTorrent client (server)
 Deluge is a BitTorrent client written in Python. It uses a client-server
 model supporting multiple user-interfaces that can connect to a
 (headless) deluged running on a server.
 .
 This package contains the server.

## deluge 2.1.2~dev0+20240121

=== requirements.txt ===
libtorrent
twisted[tls]>=17.1
rencode
pyopenssl
pyxdg
pillow
pillow<=9; python_version=="3.7"
mako
setuptools
chardet
setproctitle
pywin32; sys_platform == 'win32'
certifi; sys_platform == 'win32'
windows-curses; sys_platform == 'win32'
zope.interface>=4.4.2
distro; 'linux' in sys_platform or 'bsd' in sys_platform
pygeoip
ifaddr>=0.2.0

=== debian/changelog ===
deluge (2.1.2~dev0+20240121-1ubuntu0.1) noble; urgency=medium

  * Ensure fixed version of py3compile/py3clean is used when upgrading
    (LP: #2075337)

 -- Dave Jones <dave.jones@canonical.com>  Mon, 12 Aug 2024 17:02:27 +0100

deluge (2.1.2~dev0+20240121-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 2.1.2~dev0+20240121.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 31 Jan 2024 07:05:10 +0100

deluge (2.1.2~dev0+20231127-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 2.1.2~dev0+20231127.
  * Building with the default python version only.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 10 Dec 2023 12:13:14 +0100

deluge (2.1.2~dev0+20230918-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 2.1.2~dev0+20230918.
  * Adding missing dependency to passwd for using groupadd in maintainer
    scripts.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 26 Oct 2023 18:55:32 +0200

deluge (2.1.2~dev0+20230827-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 2.1.2~dev0+20230827.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 13 Sep 2023 12:26:20 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: deluge
 Section: net
 Priority: optional
-Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
 Build-Depends:
  debhelper-compat (= 13),
+ dh-python,
 Build-Depends-Indep:
- dh-python,
  intltool,
  pybuild-plugin-pyproject,
- python3-all,
+ python3,
  python3-setuptools,
  python3-wheel,
  unzip,
@@ -104,6 +105,7 @@
  python3-mako,
  ${misc:Depends},
  ${python3:Depends},
+Breaks: python3-minimal (<< 3.12.3-0ubuntu2~)
 Description: multi-interface BitTorrent client (web frontend)
  Deluge is a BitTorrent client written in Python. It uses a client-server
  model supporting multiple user-interfaces that can connect to a
@@ -117,6 +119,7 @@
  ${misc:Pre-Depends},
 Depends:
  deluge-common (= ${source:Version}),
+ passwd,
  python3-libtorrent,
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
#!/usr/bin/make -f

SHELL := sh -e

VERSION := $(shell dpkg-parsechangelog -SVersion | sed -e 's|~dev|.dev|' -e 's|+.*||')

%:
	dh ${@} --buildsystem=pybuild --with=python3

execute_after_dh_auto_clean:
	rm -f RELEASE-VERSION

	# help pybuild
	for ITEM in $$(find . -type d -name "*.egg-info" -or -type f -name "*.egg"); \
	do \
		rm -rf "$${ITEM}"; \
	done

	# remove generated files
	rm -rf deluge/plugins/*/build
	rm -f deluge/ui/web/js/deluge-all-debug.js
	rm -f deluge/ui/web/js/extjs/ext-extensions-debug.js
	rm -f deluge/ui/web/js/gettext.js

	for file in $$(find . -type f -name "*.in"); \
	do \
		rm -f "$$(dirname "$${file}")"/"$$(basename "$${file}" .in)"; \
	done

execute_before_dh_auto_build:
	echo "$(VERSION)" > RELEASE-VERSION

override_dh_auto_test:
	# disabled

execute_after_dh_auto_install:
	# unpacking plugins
	cd debian/tmp/usr/lib/python*/*-packages/deluge/plugins/; \
	for EGG in *.egg; \
	do \
		mkdir -p $${EGG%-py?.*}.egg; \
		unzip $${EGG} -d $${EGG%-py?.*}.egg; \
		rm -f $${EGG}; \
	done

	# removing unused files
	find debian/tmp -type d -name '__pycache__' | xargs rm -rf

=== debian/watch ===
version=4
opts="filenamemangle=s/.+\/deluge-?(\d\S+)\.tar\.gz/deluge-$1\.tar\.gz/, \
 uversionmangle=s/(\d)\.?((dev|rc)\d*)$/$1~$2/, \
 dversionmangle=s/\+\d\S+//" \
https://github.com/deluge-torrent/deluge/tags .*/deluge-?(\d\S+)\.tar\.gz

## deluge 2.1.2~dev0+20240219

=== debian/changelog ===
deluge (2.1.2~dev0+20240219-3) sid; urgency=medium

  * Uploading to sid.
  * Moving systemd units to /usr (Closes: #1073723).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 25 Jul 2024 07:20:17 +0200

deluge (2.1.2~dev0+20240219-2) sid; urgency=medium

  * Uploading to sid.
  * Updating to standards-version 4.7.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 25 Jul 2024 06:28:00 +0200

deluge (2.1.2~dev0+20240219-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 2.1.2~dev0+20240219.
  * Updating copyright for 2024.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 06 Mar 2024 00:21:29 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: deluge
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
+Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
 Build-Depends:
  debhelper-compat (= 13),
+Build-Depends-Indep:
  dh-python,
-Build-Depends-Indep:
  intltool,
  pybuild-plugin-pyproject,
  python3,
@@ -14,7 +13,7 @@
  python3-wheel,
  unzip,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://deluge-torrent.org
 Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/deluge
 Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/deluge
@@ -105,7 +104,6 @@
  python3-mako,
  ${misc:Depends},
  ${python3:Depends},
-Breaks: python3-minimal (<< 3.12.3-0ubuntu2~)
 Description: multi-interface BitTorrent client (web frontend)
  Deluge is a BitTorrent client written in Python. It uses a client-server
  model supporting multiple user-interfaces that can connect to a

## deluge 2.1.2~dev0+20240910

=== docs/requirements.txt ===
sphinx==7.2.*
myst-parser==2.0.*
sphinx_rtd_theme==2.0.*
sphinxcontrib-spelling==8.0.*
sphinx-autodoc-typehints==1.25.*

=== debian/changelog ===
deluge (2.1.2~dev0+20240910-5) sid; urgency=medium

  * Correcting public-domain identifier in copyright.
  * Updating vcs fields.
  * Updating my email address.
  * Trimming debian changelog.
  * Updating year in debian copyright for 2025.

 -- Daniel Baumann <daniel@debian.org>  Mon, 17 Feb 2025 07:48:55 +0100

deluge (2.1.2~dev0+20240910-4) sid; urgency=medium

  * Also correcting second occurence of wrong python3-legacy-cgi depends
    (Closes: #1088859).

 -- Daniel Baumann <daniel@debian.org>  Mon, 02 Dec 2024 08:03:03 +0100

deluge (2.1.2~dev0+20240910-3) sid; urgency=medium

  * Correcting python3-legacy-cgi depends (Closes: #1087842).

 -- Daniel Baumann <daniel@debian.org>  Tue, 19 Nov 2024 15:03:04 +0100

deluge (2.1.2~dev0+20240910-2) sid; urgency=medium

  * Adding depends to python3-legacy-cgi (Closes: #1084656).

 -- Daniel Baumann <daniel@debian.org>  Sun, 17 Nov 2024 07:06:01 +0100

deluge (2.1.2~dev0+20240910-1) sid; urgency=medium

  * Merging upstream version 2.1.2~dev0+20240910.
  * Removing manual python3-pkg-resources depends (Closes: #1083354).

 -- Daniel Baumann <daniel@debian.org>  Sat, 09 Nov 2024 12:37:26 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: deluge
 Section: net
 Priority: optional
-Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
+Maintainer: Daniel Baumann <daniel@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
 Build-Depends-Indep:
@@ -15,8 +15,8 @@
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
 Homepage: https://deluge-torrent.org
-Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/deluge
-Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/deluge
+Vcs-Browser: https://forgejo.debian.net/python/deluge
+Vcs-Git: https://forgejo.debian.net/python/deluge
 
 Package: deluge
 Architecture: all
@@ -40,9 +40,9 @@
 Package: deluge-common
 Architecture: all
 Depends:
+ python3-legacy-cgi,
  python3-chardet,
  python3-openssl,
- python3-pkg-resources,
  python3-rencode,
  python3-twisted,
  python3-xdg,
@@ -101,6 +101,7 @@
 Architecture: all
 Depends:
  deluge-common (= ${source:Version}),
+ python3-legacy-cgi,
  python3-mako,
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -45,3 +45,6 @@
 
 	# removing unused files
 	find debian/tmp -type d -name '__pycache__' | xargs rm -rf
+
+execute_after_dh_install:
+	if command -v dh_movetousr > /dev/null 2>&1; then dh_movetousr; fi

## deluge 2.1.2~dev0+20250301

=== debian/changelog ===
deluge (2.1.2~dev0+20250301-2) sid; urgency=medium

  * Updating vcs fields.

 -- Daniel Baumann <daniel@debian.org>  Mon, 24 Mar 2025 19:27:32 +0100

deluge (2.1.2~dev0+20250301-1) sid; urgency=medium

  * Merging upstream version 2.1.2~dev0+20250301.

 -- Daniel Baumann <daniel@debian.org>  Fri, 21 Mar 2025 01:38:41 +0100

deluge (2.1.2~dev0+20240910-6) sid; urgency=medium

  * Updating to standards version 4.7.1.
  * Updating to standards version 4.7.2.

 -- Daniel Baumann <daniel@debian.org>  Wed, 19 Mar 2025 21:04:44 +0100

## deluge 2.2.0

=== requirements.txt ===
--- 
+++ 
@@ -1,5 +1,6 @@
 libtorrent
 twisted[tls]>=17.1
+twisted[tls]<23,>=17.1; sys_platform == 'win32'
 rencode
 pyopenssl
 pyxdg

=== debian/changelog ===
deluge (2.2.0-1) sid; urgency=medium

  * Simplifying watch file.
  * Merging upstream version 2.2.0.
  * Harmonizing overwriting of upstream version string with dpkg-
    parsechangelog.

 -- Daniel Baumann <daniel@debian.org>  Tue, 29 Apr 2025 04:19:26 +0200

=== debian/control ===
--- 
+++ 
@@ -13,10 +13,10 @@
  python3-wheel,
  unzip,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://deluge-torrent.org
-Vcs-Browser: https://forgejo.debian.net/python/deluge
-Vcs-Git: https://forgejo.debian.net/python/deluge
+Vcs-Browser: https://forgejo.debian.net/deluge/deluge
+Vcs-Git: https://forgejo.debian.net/deluge/deluge
 
 Package: deluge
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 SHELL := sh -e
 
-VERSION := $(shell dpkg-parsechangelog -SVersion | sed -e 's|~dev|.dev|' -e 's|+.*||')
+VERSION := $(shell dpkg-parsechangelog | awk '/^Version: / { print $$2 }' | rev | cut -d- -f2- | rev)
 
 %:
 	dh ${@} --buildsystem=pybuild --with=python3

=== debian/watch ===
version=4
opts="dversionmangle=s/\+\d\S+//, uversionmangle=s/(\d)\.?(dev\d*)$/$1~$2/" \
https://github.com/deluge-torrent/deluge/tags .*/deluge-?(\d.*)@ARCHIVE_EXT@

## deluge 2.2.0-0~202504282307~ubuntu22.04.1+11.0trisquel1

=== debian/changelog ===
deluge (2.2.0-0~202504282307~ubuntu22.04.1+11.0trisquel1) aramo-backports; urgency=medium

  * Imported to Trisquel from oficial PPA

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 29 Apr 2025 12:46:05 +0000

deluge (2.2.0-0~202504282307~ubuntu22.04.1) jammy; urgency=low

  * Auto build.

 -- Cas <calumlind@gmail.com>  Mon, 28 Apr 2025 23:07:37 +0000

=== debian/control ===
Source: deluge
Section: net
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
Build-Depends-Indep:
   debhelper (>=9),
   dh-python,
   intltool,
   python3-all,
   python3-setuptools,
   python3-wheel,
   closure-compiler,
   unzip
Standards-Version: 4.0.0
Vcs-Git:  https://git.launchpad.net/~calumlind/+git/lp_deluge_deb
Vcs-Browser: https://code.launchpad.net/~calumlind/+git/lp_deluge_deb
Homepage: https://www.deluge-torrent.org

Package: deluge-common
Architecture: all
Depends:
   ${misc:Depends},
   ${python3:Depends},
   python3-six,
   python3-twisted (>= 11.1),
   python3-openssl,
   python3-pkg-resources,
   python3-chardet,
   python3-xdg,
   python3-rencode
Recommends:
   python3-setproctitle,
   python3-pil,
   python3-geoip,
   geoip-database,
   python3-dbus
Description: Deluge Common Files
 Deluge is a full-featured, multi-platform, multi-interface BitTorrent client
 using libtorrent-rasterbar in it's backend and featuring multiple
 user-interfaces: GTK+, web and console.
 .
 It has been designed using the client-server model with a daemon process that
 handles all the BitTorrent activity. The Deluge daemon is able to run on
 headless machines with the user-interfaces being able to connect remotely
 from any platform.
 .
 This package contains data files common to both the daemon and the
 various user-interfaces.

Package: deluged
Architecture: all
Depends:
   ${misc:Depends},
   ${python3:Depends},
   deluge-common (= ${source:Version}),
   python3-libtorrent (>= 1.2.0)
Description: Deluge Daemon (deluged)
 Deluge is a full-featured, multi-platform, multi-interface BitTorrent client
 using libtorrent-rasterbar in it's backend and featuring multiple
 user-interfaces: GTK+, web and console.
 .
 It has been designed using the client-server model with a daemon process that
 handles all the BitTorrent activity. The Deluge daemon is able to run on
 headless machines with the user-interfaces being able to connect remotely
 from any platform.
 .
 You may want to install this package to run the daemon application on a remote
 server and connect to it from any user-interface.
 See: <URL:http://dev.deluge-torrent.org/wiki/UserGuide/ThinClient>

Package: deluge-console
Architecture: all
Depends:
   ${misc:Depends},
   ${python3:Depends},
   deluge-common (= ${source:Version})
Description: Deluge Console UI
 Deluge is a full-featured, multi-platform, multi-interface BitTorrent client
 using libtorrent-rasterbar in it's backend and featuring multiple
 user-interfaces: GTK+, web and console.
 .
 It has been designed using the client-server model with a daemon process that
 handles all the BitTorrent activity. The Deluge daemon is able to run on
 headless machines with the user-interfaces being able to connect remotely
 from any platform.
 .
 This package contains the console user-interface.

Package: deluge-web
Architecture: all
Depends:
   ${misc:Depends},
   ${python3:Depends},
   deluge-common (= ${source:Version}),
   python3-mako
Breaks: deluge-web (<< 1.3.0)
Replaces: deluge-web (<< 1.3.0)
Description: Deluge Web UI
 Deluge is a full-featured, multi-platform, multi-interface BitTorrent client
 using libtorrent-rasterbar in it's backend and featuring multiple
 user-interfaces: GTK+, web and console.
 .
 It has been designed using the client-server model with a daemon process that
 handles all the BitTorrent activity. The Deluge daemon is able to run on
 headless machines with the user-interfaces being able to connect remotely
 from any platform.
 .
 You may want to install this package on a remote server running the deluge
 daemon (package deluged).
 See: <URL:http://dev.deluge-torrent.org/wiki/UserGuide/ThinClient>

Package: deluge-gtk
Architecture: all
Depends:
   ${misc:Depends},
   ${python3:Depends},
   deluge-common (= ${source:Version}),
   python3-gi,
   python3-gi-cairo,
   gir1.2-gtk-3.0,
   librsvg2-common,
   xdg-utils
Breaks: deluge-gtk (<< 1.3.0)
Replaces: deluge-gtk (<< 1.3.0)
Recommends: gir1.2-appindicator3-0.1, python3-pygame, libnotify4
Description: Deluge GTK UI
 Deluge is a full-featured, multi-platform, multi-interface BitTorrent client
 using libtorrent-rasterbar in it's backend and featuring multiple
 user-interfaces: GTK+, web and console.
 .
 It has been designed using the client-server model with a daemon process that
 handles all the BitTorrent activity. The Deluge daemon is able to run on
 headless machines with the user-interfaces being able to connect remotely
 from any platform.
 .
 You may want to install this package to use the Deluge GTK+ user-interface
 as a thin client and connect to a remote daemon.
 See: <URL:http://dev.deluge-torrent.org/wiki/UserGuide/ThinClient>

Package: deluge
Architecture: all
Depends:
   ${misc:Depends},
   ${python3:Depends},
   python3-libtorrent (>= 1.2.0),
   deluge-gtk (= ${source:Version})
Breaks: deluge-common (<< 1.3.0)
Replaces: deluge-common (<< 1.3.0)
Description: Deluge BitTorrent Client
 Deluge is a full-featured, multi-platform, multi-interface BitTorrent client
 using libtorrent-rasterbar in it's backend and featuring multiple
 user-interfaces: GTK+, web and console.
 .
 It has been designed using the client-server model with a daemon process that
 handles all the BitTorrent activity. The Deluge daemon is able to run on
 headless machines with the user-interfaces being able to connect remotely
 from any platform.
 .
 You may want to install this package to use Deluge in standalone mode,
 which means the daemon and the GTK+ user-interface are linked together.

## deluge 2.2.1~dev0+20250824

=== requirements.txt ===
--- 
+++ 
@@ -5,7 +5,6 @@
 pyopenssl
 pyxdg
 pillow
-pillow<=9; python_version=="3.7"
 mako
 setuptools
 chardet

=== debian/changelog ===
deluge (2.2.1~dev0+20250824-3) sid; urgency=medium

  * Slightly simplifying postrm maintainerscript.
  * Updating mangling in watch file.

 -- Daniel Baumann <daniel@debian.org>  Sun, 08 Feb 2026 10:40:49 +0100

deluge (2.2.1~dev0+20250824-2) sid; urgency=medium

  * Updating to standards version 4.7.3.
  * Updating years in copyright for 2026.
  * No changes required for removal of python3-pkg-resources, just a new
    upload is enough (Closes: #1125831).

 -- Daniel Baumann <daniel@debian.org>  Mon, 26 Jan 2026 10:17:34 +0100

deluge (2.2.1~dev0+20250824-1) sid; urgency=medium

  * Updating watch file to version 5.
  * Merging upstream version 2.2.1~dev0+20250824.
  * Wrap and sorting debian files.
  * Updating version mangling in rules to replace invalid symbols.

 -- Daniel Baumann <daniel@debian.org>  Sun, 30 Nov 2025 18:42:56 +0100

deluge (2.2.0-3) sid; urgency=medium

  * Updating debhelper install files after removal of dh_movetousr, thanks
    to Michael Biebl <biebl@debian.org> (Closes: #1121275).

 -- Daniel Baumann <daniel@debian.org>  Mon, 24 Nov 2025 04:34:50 +0100

deluge (2.2.0-2) sid; urgency=medium

  * Removing rules-requires-root, not needed anymore.
  * Removing dh_movetousr from rules, not needed anymore.

 -- Daniel Baumann <daniel@debian.org>  Tue, 18 Nov 2025 09:14:15 +0100

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 SHELL := sh -e
 
-VERSION := $(shell dpkg-parsechangelog | awk '/^Version: / { print $$2 }' | rev | cut -d- -f2- | rev)
+VERSION := $(shell dpkg-parsechangelog | awk '/^Version: / { print $$2 }' | rev | cut -d- -f2- | rev | sed -e 's|~|.|g')
 
 %:
 	dh ${@} --buildsystem=pybuild --with=python3
@@ -45,6 +45,3 @@
 
 	# removing unused files
 	find debian/tmp -type d -name '__pycache__' | xargs rm -rf
-
-execute_after_dh_install:
-	if command -v dh_movetousr > /dev/null 2>&1; then dh_movetousr; fi

=== debian/watch ===
Version: 5

Template: Github
Owner: deluge-torrent
Project: @PACKAGE@
Dversion-Mangle: auto
Uversion-Mangle: s/(\d)\.?(dev\d*)$/$1~$2/
